_Ecore_Event_Key Struct Reference
Ecore Input

Contains information about an Ecore keyboard event. More...

`#include <Ecore_Input.h>`

## Data Fields

const char * | keyname
| The key name.
const char * | key
| The key symbol.
const char * | string
const char * | compose
| final string corresponding to the key symbol composed
Ecore_Window | window
| The main window where event happened.
Ecore_Window | root_window
| The root window where event happened.
Ecore_Window | event_window
| The child window where event happened.
unsigned int | timestamp
| Time when the event occurred.
unsigned int | modifiers
| The combination of modifiers key (SHIFT,CTRL,ALT,..).
int | same_screen
| same screen flag
unsigned int | keycode
| Key scan code numeric value.
void * | data
| User data associated with an Ecore_Event_Key.
Eo * | dev
| The Efl_Input_Device that originated the event.

## Detailed Description

Contains information about an Ecore keyboard event.

## Field Documentation

## keycode

unsigned int _Ecore_Event_Key::keycode

Key scan code numeric value.

Since
  1.10

## data

void* _Ecore_Event_Key::data

User data associated with an Ecore_Event_Key.

Since
  1.10

## dev

Eo* _Ecore_Event_Key::dev

The Efl_Input_Device that originated the event.

Since
  1.19